curl --request POST \
--url https://api.slash.com/card \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"accountId": "<string>",
"virtualAccountId": "<string>",
"spendingConstraint": {
"merchantCategoryRule": {
"merchantCategories": [
"<string>"
]
},
"merchantRule": {
"merchants": [
"<string>"
]
},
"spendingRule": {
"utilizationLimitV2": [
{
"limitAmount": {
"amountCents": 123
},
"timezone": "<string>",
"startDate": "<string>"
}
],
"transactionSizeLimit": {}
},
"countryRule": {
"countries": [
"<string>"
]
},
"merchantCategoryCodeRule": {
"merchantCategoryCodes": [
"<string>"
]
}
},
"isSingleUse": true,
"userData": {},
"cardGroupId": "<string>",
"cardProductId": "<string>"
}
'{
"id": "<string>",
"accountId": "<string>",
"last4": "<string>",
"name": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"isPhysical": true,
"virtualAccountId": "<string>",
"isSingleUse": true,
"pan": "<string>",
"cvv": "<string>",
"cardGroupId": "<string>",
"cardGroupName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"spendingConstraint": {
"merchantCategoryRule": {
"merchantCategories": [
"<string>"
]
},
"merchantRule": {
"merchants": [
"<string>"
]
},
"spendingRule": {
"utilizationLimit": {
"limitAmount": {
"amountCents": 123
},
"timezone": "<string>",
"startDate": "<string>"
},
"utilizationLimitV2": [
{
"limitAmount": {
"amountCents": 123
},
"timezone": "<string>",
"startDate": "<string>"
}
],
"transactionSizeLimit": {
"minimum": {
"amountCents": 123
},
"maximum": {
"amountCents": 123
}
}
},
"countryRule": {
"countries": [
"<string>"
]
},
"merchantCategoryCodeRule": {
"merchantCategoryCodes": [
"<string>"
]
}
},
"userData": {},
"cardProductId": "<string>",
"modifiers": [
{
"value": true
}
]
}Create card
Create a card
curl --request POST \
--url https://api.slash.com/card \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"accountId": "<string>",
"virtualAccountId": "<string>",
"spendingConstraint": {
"merchantCategoryRule": {
"merchantCategories": [
"<string>"
]
},
"merchantRule": {
"merchants": [
"<string>"
]
},
"spendingRule": {
"utilizationLimitV2": [
{
"limitAmount": {
"amountCents": 123
},
"timezone": "<string>",
"startDate": "<string>"
}
],
"transactionSizeLimit": {}
},
"countryRule": {
"countries": [
"<string>"
]
},
"merchantCategoryCodeRule": {
"merchantCategoryCodes": [
"<string>"
]
}
},
"isSingleUse": true,
"userData": {},
"cardGroupId": "<string>",
"cardProductId": "<string>"
}
'{
"id": "<string>",
"accountId": "<string>",
"last4": "<string>",
"name": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"isPhysical": true,
"virtualAccountId": "<string>",
"isSingleUse": true,
"pan": "<string>",
"cvv": "<string>",
"cardGroupId": "<string>",
"cardGroupName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"spendingConstraint": {
"merchantCategoryRule": {
"merchantCategories": [
"<string>"
]
},
"merchantRule": {
"merchants": [
"<string>"
]
},
"spendingRule": {
"utilizationLimit": {
"limitAmount": {
"amountCents": 123
},
"timezone": "<string>",
"startDate": "<string>"
},
"utilizationLimitV2": [
{
"limitAmount": {
"amountCents": 123
},
"timezone": "<string>",
"startDate": "<string>"
}
],
"transactionSizeLimit": {
"minimum": {
"amountCents": 123
},
"maximum": {
"amountCents": 123
}
}
},
"countryRule": {
"countries": [
"<string>"
]
},
"merchantCategoryCodeRule": {
"merchantCategoryCodes": [
"<string>"
]
}
},
"userData": {},
"cardProductId": "<string>",
"modifiers": [
{
"value": true
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.slash.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Body
Specify the type of card you'd like to create. At the moment, only virtual cards are supported.
virtual The ID of the account to create the card under. You can get this by calling GET /account. This field is required unless you are authenticating via API key, in which case it will default to your first commercial account. We recommend supplying this even if you are authenticating via API key.
The ID of the virtual account to create the card under. Virtual accounts can be retrieved by calling GET /virtual-account.
A constraint that can be applied to a CardGroupSpendingRule
Show child attributes
Show child attributes
Defaults to false. When set to true, the card will be automatically closed after a single authorization attempt. Note that the card will be closed even if the authorization declines or drops
Arbitrary information that can be attached to the card. This should be a JSON object and cannot exceed 4kb.
The ID of the card product to use when creating this card, if not specified a random card product will be chosen.
Response
OK
The account that this card is associated with
The last 4 digits of the card number
The name assigned to the card that appears on the user dashboard
The month the card expires formatted as MM (01, 02, ..., 12)
The year the card expires formatted as YYYY (2024, 2025, ...)
The status of the card
active, paused, inactive, closed When true, a physical card has been issued. Otherwise, this is a virtual card.
The virtual account that this card is associated with
When true, the card will be automatically closed after a single authorization attempt. Note that the card will be closed even if the authorization declines or drops
This field contains the full PAN which will only be sent on a request for a single card when you set the query param "include_pan" to "true"
This field will contain full CVV which will only be sent on a request for a single card when you set the query param "include_pan" to "true"
The card group the card belongs to.
The name of the card group the card belongs to.
The spending constraint applied to the card
Show child attributes
Show child attributes
Arbitrary information that can be attached to the card. See the PATCH /card/{cardId} [blocked] endpoint for more details on how to add user data.
The ID of the card product this card was created with.
The modifiers applied to this card. Modifiers control card behavior like restricting to recurring payments only.
Show child attributes
Show child attributes